
#include <ESP8266WiFi.h> //Library for to allow the D1 mini to connect to the MQTT throught the WiFi
#include <MQTT.h> // allows to send data to the MQTT 
#include "conns.h"
WiFiClient net;
MQTTClient client;

int val = 0; // Declares the name of the data being recieved from the MQTT

//
unsigned long lastMillis = 0; 


//___________________________________________________

//Connect to wifi and MQTT broker
void connect() {
  Serial.print("checking wifi...");
  while (WiFi.status() != WL_CONNECTED) { 
    Serial.print(".");
    delay(1000); // connecting to the MQTT through the wifi, and communicate it through the serial monitor 
  } 
  Serial.print("\nconnecting...");
  while (!client.connect("ACameron2", "", "")) { // connects to the topic on the MQTT
    Serial.print(".");
    delay(1000);
  }
  Serial.println("\nconnected!");
}

//__________________________________________________

void setup() { // will run first before the other functions 
  Serial.begin(115200); // sets the baud rate 
  WiFi.begin(ssid, pass);
  client.begin(myBroker, net);
  connect();
}

//___________________________________________________

void loop() {
 for (int i = 0; i < 1000; i++) { // 
     long int reading = analogRead(A0); // will read the data coming from pin A0 connected to the microphone 
      val = val + reading;
      delay(5);
    }
   Serial.println(val); // prin the val in serial monitor 
   delay(2000);

 client.publish("ACameron2", String(val)); // Will publish the data to the MQTT 
  
  val = 0; // resets val to zero

}
